summaryrefslogtreecommitdiffstats
path: root/network/xbuffy
diff options
context:
space:
mode:
author pomfland2018-08-10 00:31:06 +0200
committer Willy Sudiarto Raharjo2018-08-11 02:23:10 +0200
commitc2d8201c03a902c1cb54e42e864145b549a58aa0 (patch)
treede1eda7ac0f021ddae9298c073eaa829b5d71798 /network/xbuffy
parent5da4ac5da37b46d8f41f148f132961b5d8a1834c (diff)
downloadslackbuilds-c2d8201c03a902c1cb54e42e864145b549a58aa0.tar.gz
network/xbuffy: Added (a multi folder biff for X).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/xbuffy')
-rw-r--r--network/xbuffy/README7
-rw-r--r--network/xbuffy/slack-desc19
-rw-r--r--network/xbuffy/xbuffy.SlackBuild114
-rw-r--r--network/xbuffy/xbuffy.info10
4 files changed, 150 insertions, 0 deletions
diff --git a/network/xbuffy/README b/network/xbuffy/README
new file mode 100644
index 0000000000..97745a11dd
--- /dev/null
+++ b/network/xbuffy/README
@@ -0,0 +1,7 @@
+XBuffy is a multi folder biff program for X. It allows the user to
+specify multiple mail folders to poll for new mails. Supported
+formats are mbox, maildir and (experimentally) MH.
+
+This script builds against Athena widgets by default. You can change
+this by passing GUI=xaw3d or GUI=motif instead. Additionally, pass
+NNTP=server.address to enable support for polling newsgroups.
diff --git a/network/xbuffy/slack-desc b/network/xbuffy/slack-desc
new file mode 100644
index 0000000000..f3803f9ba0
--- /dev/null
+++ b/network/xbuffy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xbuffy: xbuffy (a multi folder biff for X)
+xbuffy:
+xbuffy: XBuffy is a multi folder biff program for X. It allows the user to
+xbuffy: specify multiple mail folders to poll for new mails. Supported
+xbuffy: formats are mbox, maildir and (experimentally) MH.
+xbuffy:
+xbuffy: Homepage: http://www.fiction.net/blong/programs/#xbuffy
+xbuffy:
+xbuffy:
+xbuffy:
+xbuffy:
diff --git a/network/xbuffy/xbuffy.SlackBuild b/network/xbuffy/xbuffy.SlackBuild
new file mode 100644
index 0000000000..25c4cae4a3
--- /dev/null
+++ b/network/xbuffy/xbuffy.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for xbuffy
+# $Id: xbuffy.SlackBuild,v 1.1 2018/08/09 15:22:52 pomf Exp pomf $
+
+# Copyright 2018 pomfland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xbuffy
+VERSION=${VERSION:-3.3.bl.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ ! -z $NNTP ]; then
+ NNTPLINE="--enable-nntp=$NNTP"
+fi
+
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-${GUI:-x} \
+ $NNTPLINE \
+ --build=$ARCH-slackware-linux
+
+make
+
+# make install is crap, recreate it
+mkdir -p $PKG/usr/bin
+install -m755 xbuffy $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+install -m644 xbuffy.man $PKG/usr/man/man1/xbuffy.1
+mkdir -p $PKG/usr/lib/X11/app-defaults
+install -m644 XBuffy.ad $PKG/usr/lib/X11/app-defaults/XBuffy
+mkdir -p $PKG/usr/share/pixmaps
+install -m644 xbuffy.xbm $PKG/usr/share/pixmaps
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README README.BL CHANGES TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/xbuffy/xbuffy.info b/network/xbuffy/xbuffy.info
new file mode 100644
index 0000000000..50384deb93
--- /dev/null
+++ b/network/xbuffy/xbuffy.info
@@ -0,0 +1,10 @@
+PRGNAM="xbuffy"
+VERSION="3.3.bl.3"
+HOMEPAGE="http://www.fiction.net/blong/programs/#xbuffy"
+DOWNLOAD="http://www.fiction.net/blong/programs/xbuffy/xbuffy-3.3.bl.3.tar.gz"
+MD5SUM="f4de2adc9d0b2327040e700e2fd25a42"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pomfland"
+EMAIL="pomfland@tfwno.gf"